Subject: [Geopriv] FW: New Version Notification for draft-fossati-core-geo-link-format-attribute-02.txt

From: "FOSSATI, Thomas (Thomas)" <[email-masked]>
Date: Mon, 6 Jan 2014 14:07:03 +0000

Hi all, I’ve updated the “geo link-format attribute” I-D:

http://tools.ietf.org/html/draft-fossati-core-geo-link-format-attribute-02

>Abstract:
>   This memo proposes a new CoAP link format attribute, "geo", that can
>   be used to associate positioning metadata to a CoAP resource.  An
>   extension to the link format query syntax is also suggested to allow
>   the discovery of resources based on their geo location.

New in this revision:
  - added extension to link-format query syntax to allow searching
    resources within a rectangular sector;
  - make crystal clear that WGS-84 is the only allowed system (at
    least for now).

Still in the to-do list:
  - give practical advice about how to address privacy issues;
  - allow "cubic" search (i.e. including height).

I'm copying geopriv to get informed review & suggestion on this (slightly
overlapping) topic.

Cheers, Thomas.